# Exception::__construct

(PHP 5, PHP 7)

Exception::__construct — Construct the exception

### Description

public Exception::__construct ([ string `$message` = "" [, int `$code` = 0 [, Throwable `$previous` = `NULL` ]]] )

Constructs the Exception.

### Parameters

`message`

  The Exception message to throw.

`code`

  The Exception code.

`previous`

  The previous exception used for the exception chaining.

> Note: Calling the constructor of class Exception from a subclass ignores the default arguments, if the properties $code and $message are already set.

### Changelog

Version | Description
--- | ---
7.0.0 | The `previous` parameter is now of type Throwable.
5.3.0 | The `previous` parameter was added.

### Notes

> Note:

> The `message` is NOT binary safe.